# Class AssemblyBehaviourObserver<R, L>

#### Type Parameters

- #### R

- #### L

#### Hierarchy

- AssemblyBehaviourObserver

#### Implements

- StructureViewerBehaviourObserverInterface<R, L>

- Defined in src/RcsbFvStructure/StructureViewerBehaviour/AssemblyBehaviour.ts:20

#####
Index

### Constructors

constructor

### Properties

structureBehaviour
structureLoader

### Methods

observe
unsubscribe

## Constructors

### constructor

- new AssemblyBehaviourObserver<R, L>(structureLoader): AssemblyBehaviourObserver<R, L>

- #### Type Parameters

  - #### R

  - #### L

  #### Parameters

  - ##### structureLoader: StructureLoaderInterface<[ViewerActionManagerInterface<R, L>], L>

  #### Returns AssemblyBehaviourObserver<R, L>

  - Defined in src/RcsbFvStructure/StructureViewerBehaviour/AssemblyBehaviour.ts:25

## Properties

### `Private` structureBehaviour

structureBehaviour: StructureViewerBehaviourInterface

- Defined in src/RcsbFvStructure/StructureViewerBehaviour/AssemblyBehaviour.ts:22

### `Private` `Readonly` structureLoader

structureLoader: StructureLoaderInterface<[ViewerActionManagerInterface<R, L>], L>

- Defined in src/RcsbFvStructure/StructureViewerBehaviour/AssemblyBehaviour.ts:23

## Methods

### observe

- observe(structureViewer, stateManager): void

- #### Parameters

  - ##### structureViewer: ViewerCallbackManagerInterface & ViewerActionManagerInterface<R, L>

  - ##### stateManager: RcsbFvStateInterface

  #### Returns void

  Implementation of StructureViewerBehaviourObserverInterface.observe

  - Defined in src/RcsbFvStructure/StructureViewerBehaviour/AssemblyBehaviour.ts:29

### unsubscribe

- unsubscribe(): void

- #### Returns void

  Implementation of StructureViewerBehaviourObserverInterface.unsubscribe

  - Defined in src/RcsbFvStructure/StructureViewerBehaviour/AssemblyBehaviour.ts:36

Generated using TypeDoc